Debian Bug report logs - #673167
ecore: FTBFS[kfreebsd] testsuite failure

version graph

Package: src:ecore; Maintainer for src:ecore is Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Wed, 16 May 2012 15:12:06 UTC

Severity: serious

Tags: sid, wheezy

Found in version ecore/1.2.0-1

Fixed in version 1.2.0-2

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#673167; Package src:ecore. (Wed, 16 May 2012 15:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Wed, 16 May 2012 15:12:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: ecore: FTBFS[kfreebsd] testsuite failure
Date: Wed, 16 May 2012 17:12:17 +0200
Package: src:ecore
Version: 1.2.0-1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

make[3]: Entering directory `/build/buildd-ecore_1.2.0-1-kfreebsd-amd64-OoyIwT/ecore-1.2.0'
Running suite(s): Ecore
ERR<42194>:ecore ecore_main.c:1422 _ecore_main_fd_handlers_bads_rem() Removing bad fds
ERR<42194>:ecore ecore_main.c:1431 _ecore_main_fd_handlers_bads_rem() Found bad fd at index 7
ERR<42194>:ecore ecore_main.c:1450 _ecore_main_fd_handlers_bads_rem() Problematic fd found at 7! setting it for delete
Client with ip ::1, port 39285, connected = 1!
Lost client with ip ::1!
Client was connected for 129936.601 seconds.
91%: Checks: 12, Failures: 1, Errors: 0
ecore_test_ecore_con.c:88:F:Ecore_Con:ecore_test_ecore_con_server:0: Failed
make[3]: *** [check-local] Error 255

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=ecore&arch=kfreebsd-amd64&ver=1.2.0-1&stamp=1337049873

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Mon, 04 Jun 2012 23:36:07 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Mon, 04 Jun 2012 23:36:07 GMT) Full text and rfc822 format available.

Message #10 received at 673167-done@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: debian-bsd@lists.debian.org, 673167-done@bugs.debian.org
Cc: Albin Tonnerre <lutin@debian.org>, 673176@bugs.debian.org
Subject: Re: Bug#673167: ecore: FTBFS[kfreebsd] testsuite failure
Date: Tue, 5 Jun 2012 01:32:38 +0200
[Message part 1 (text/plain, inline)]
Version: 1.2.0-2

Christoph Egger <christoph@debian.org> (16/05/2012):
> Package: src:ecore
> Version: 1.2.0-1
> Severity: serious
> Tags: sid wheezy
> User: debian-bsd@lists.debian.org
> Usertags: kfreebsd
> X-Debbugs-Cc: debian-bsd@lists.debian.org
> Justification: fails to build from source (but built successfully in the past)

Fixed with a typo in the changelog (see below). I'm Cc-ing the other bug
(that got closed) for information, letting Albin or the chromium
maintainers do the actual work. ;p

That should help get ecore and friends into testing (graphviz dependency
graph attached).

Extract from <http://packages.qa.debian.org/e/ecore/news/20120520T164744Z.html>:
| Closes: 673176
| Changes: 
|  ecore (1.2.0-2) unstable; urgency=low
|  .
|    * Use the new '-indep' targets of dh and update Build-Deps
|    * accordingly
|    * Move to dh compat level 9
|    * debian/control: bump Standards-Version to 3.9.3
|    * Disable the testsuite for now, it has too many issues (Closes:
|    * #673176)

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#673167; Package src:ecore. (Mon, 04 Jun 2012 23:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Mon, 04 Jun 2012 23:39:06 GMT) Full text and rfc822 format available.

Message #15 received at 673167@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: debian-bsd@lists.debian.org, 673167@bugs.debian.org
Cc: Albin Tonnerre <lutin@debian.org>
Subject: Re: Bug#673167: ecore: FTBFS[kfreebsd] testsuite failure
Date: Tue, 5 Jun 2012 01:34:42 +0200
[Message part 1 (text/plain, inline)]
Cyril Brulebois <kibi@debian.org> (05/06/2012):
> That should help get ecore and friends into testing (graphviz dependency
> graph attached).

For real now.

Mraw,
KiBi.
[15.dot (application/msword, attachment)]
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 04 Jul 2012 07:42:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:11:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.